{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{              MS SQL components registration            }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZMsSqlReg;

interface

{$INCLUDE ..\ZeosDef.inc}
{$INCLUDE ..\Zeos.inc}

procedure Register;

implementation

uses Classes, ZMsSqlCon, ZMsSqlTr, ZMsSqlQuery, ZMsSqlStoredProc
  {$IFDEF WITH_PROPEDIT}, ZMsSqlProp
  {$IFDEF VERCLX}
     ,DesignEditors, DesignIntf
  {$ELSE}
    {$IFDEF VER150ABOVE}
      ,DesignIntf, DesignEditors
    {$ELSE}
      ,DsgnIntf
    {$ENDIF}
  {$ENDIF}
{$ENDIF};

{ Register components in a component palette }
procedure Register;
begin
  RegisterComponents(ZEOS_DB_PALETTE, [TZZMsSqlDatabase]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZMsSqlDatabase, 'Database',
    TZZMsSqlDatabaseNameProperty);
{$ENDIF}

  RegisterComponents(ZEOS_DB_PALETTE, [TZZMsSqlTransact]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZMsSqlTable]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZMsSqlQuery]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZMsSqlStoredProc]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZMsSqlTable, 'TableName',
    TZZMsSqlTableNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TZZMsSqlStoredProc, 'StoredProcName',
    TZZMsSqlStoredProcNameProperty);
{$ENDIF}
end;

end.
